Bug 62330 - Sun Java 1.4.0 JVM won't execute (library error)
Summary: Sun Java 1.4.0 JVM won't execute (library error)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: glibc   
(Show other bugs)
Version: skipjack-beta1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-29 19:29 UTC by Sean Cier
Modified: 2016-11-24 15:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-01 06:25:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sean Cier 2002-03-29 19:29:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
Attempts to execute the Sun Java 1.4.0 JVM (i.e., any Java program) fail.  JVM
1.3.1 works, and 1.4.0 works under RedHat 7.2.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RedHat 7.2.
2. Download and install j2sdk1.4.0 from http://www.javasoft.com
3. Execute 'java --version'
	

Actual Results:  Error occurred during initialization of VM
Unable to load native library: /usr/local/jdk1.4.0/jre/lib/i386/libjava.so:
symbol __libc_waitpid, version GLIBC_2.0 not defined in file libc.so.6 with link
time reference


Expected Results:  Version info printed

Additional info:

Comment 1 Sean Cier 2002-03-31 04:49:35 UTC
Typo: "1. Install RedHat 7.2" -> "1. Install RedHat 7.2.92".  Oops.

Comment 2 Nathan G. Grennan 2002-04-01 06:25:46 UTC
This is fixed by newer versions of glibc in rawhide. I was having the exact same
problem with j2re 1.4.0. I upgraded from glibc 2.2.5-27 to 2.2.5-30.

Comment 3 Bill Nottingham 2002-04-01 20:55:15 UTC
Fixed in glibc-2.2.5-30.


Note You need to log in before you can comment on or make changes to this bug.